var TCNWN = TCNWN || {};
		
(function(){
	var Notifications = window.Notification;
	
	if(Notifications) {
		var notification = function() {
			var nw = new Notifications("You've got mail", {
				icon: "http://www.thecssninja.com/demo/web_notifications/icon.png",
				body: "The CSS Ninja has sent you an email",
				tag: 'got_mail'
			});
			
			nw.addEventListener("show", function() {
				var audio = new Audio("youvegotmail.mp3");
				audio.play();
			}, false);
			
			return nw;
		};
		
		TCNWN.gotMail = function() {
			TCNWN.permission(notification);
		};
		
		TCNWN.permission = function(callback) {
			Notifications.requestPermission(function(permission){
				if(permission === "granted") {
					callback();
				} else {
					alert("You'll need to allow permission in order for this demo to work");
				}
			});
		};
	} else {
		if("webkitNotifications" in window) {
			alert("Looks like you support the old web notifications, this demo uses latest spec only");
		} else {
			alert("You're browser doesn't support notifications.");
		}
	}
})();